%% Funkce pro výpočet tvarového faktoru
function [ff]=FF(cykly)
% Zdroj:
% Bakalářská práce : Shluková analýza signálů EKG
% Autor : Tomáš Dvořáček

% Nastavení vstupních proměnných
ff=[];
pozice=[];
pocet_poloh=size(cykly,1);

for i=1:pocet_poloh
    
    perioda=cykly(i,:); % Získání části signálu v intervalu Q až S
    
    
    derivace1=diff(perioda); % 1. derivace periody
    derivace2=diff(derivace1); % 2. derivace periody
    smerodat_odchylka=std(perioda); % výpočet směrodatné odchylky
    smerodat_odchylka_derv=std(derivace1); % výpočet směrodatné odchylky 1. derivace
    smerodat_odchylka_derv2=std(derivace2); % výpočet směrodatné odchylky 2. derivace
    mx=smerodat_odchylka_derv/smerodat_odchylka;
    mx_derv=smerodat_odchylka_derv2/smerodat_odchylka_derv;
    
    ff(i)=mx_derv/mx;        % Výpočet samotného tvarového faktoru
    
end

